[PATCH] t3910: give reason for skipping the test

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



t3910 is skipped for most users because it requires a filesystem which
does automatic conversion between different utf-8 types. Currently, this
results in a skipped test with "no reason given".

Use the skip_all mechanism from our test suite so that a reason for
skipping the test is given to the user.

Signed-off-by: Michael J Gruber <git@xxxxxxxxxxxxxxxxxxxx>
---
Alternatively, we could set a prerequisite and mark all tests with that.  Since
it's either or for the whole test skip_all seems more appropriate.  In that
case, we can also flatten the else branch, of course. The current patch is
minimally invasive, though.

 t/t3910-mac-os-precompose.sh | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/t/t3910-mac-os-precompose.sh b/t/t3910-mac-os-precompose.sh
index 88b7a20..fb7c7ff 100755
--- a/t/t3910-mac-os-precompose.sh
+++ b/t/t3910-mac-os-precompose.sh
@@ -22,8 +22,11 @@ esac
 rm -rf junk
 
 
-if test "$test_nfd"
+if ! test "$test_nfd"
 then
+	skip_all="filesystem does not convert utf-8 nfd to nfc"
+	test_done
+else
 	# create more utf-8 variables
 	Odiarnfc=`printf '\303\226'`
 	Odiarnfd=`printf 'O\314\210'`
@@ -157,8 +160,6 @@ then
 		precomposeunicode=`git config core.precomposeunicode` &&
 		test "$precomposeunicode" = "true"
 	'
-else
-	 say "Skipping nfc/nfd tests"
 fi
 
 test_done
-- 
1.7.11.2.381.gb6e9843

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html


[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]